WordPress.org

Ready to get started?Download WordPress

Forums

Plugin version files missing (5 posts)

  1. bretweinraub
    Member
    Posted 1 year ago #

    Depending on the plugin you look at, there are two scenarios:

    - when you mouse over the "install link", you get a download without version #. If you go to the download page from developers, you can see "versioned" plugins (with version #s), but if you click them, you get a 404.

    - if you mouse over the install link, you see a file with a version #. In this scenario, everything is honky dory.

    Now for those of us who care about version control, the fact there is a proliferation of plugins who can't be recovered at a fixed version # makes it impossible to version control our sites. When building a "replica", we just get the "latest" version. That's just broken.

  2. RobinInTexas
    Member
    Posted 1 year ago #

    It's not broken, it is by design.

    You can go here http://wordpress.org/download/release-archive/

    for plugins, look under developers as in

    http://wordpress.org/extend/plugins/wordpress-seo/developers/

  3. bretweinraub
    Member
    Posted 1 year ago #

    Right for plugins, that is scenario 2.

    Here's a few places it is broken:

    http://downloads.wordpress.org/plugin/antispam-bee.2.5.4.zip

    via

    http://wordpress.org/extend/plugins/antispam-bee/developers/

    OR

    http://wordpress.org/extend/plugins/optimus/developers/

    I can come up with more examples but this illustrates the proble,

  4. RobinInTexas
    Member
    Posted 1 year ago #

    The problems you have with individual plugins can be addressed by raising any issues you have in the plugin support sections

    e.g. http://wordpress.org/support/plugin/antispam-bee

    OR

    http://wordpress.org/support/plugin/optimus

    the same for your other examples.

  5. bretweinraub - nothing's broken with the repo, it's the plugin and they're using SVN poorly

    http://plugins.trac.wordpress.org/browser/antispam-bee/tags

    Notice how 2.5.4 is missing? That's why.

    The right way to do things is:

    1) Stable tag should be 2.5.4 (not trunk)
    2) There should be a /tags/2.5.4/ folder

    Then everything would work :)

Topic Closed

This topic has been closed to new replies.

About this Topic